<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatedWactchRecord extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_watch_record', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('agent_id')->comment('经销商id');
            $table->string('open_id',100)->comment('客户openid');
            $table->unsignedInteger('action')->comment('1 收藏  2查看类目 3查看商品 4登陆 5点击图片 6 点击导航 7一键拨号');
            $table->string('detail')->nullable()->default(null)->comment('详细');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_watch_record');
    }
}
